#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Refcount
Summary:	Devel::Refcount - obtain the REFCNT value of a referent
Summary(pl.UTF-8):	Devel::Refcount - odczyt wartości REFCNT obiektu wskazywanego przez referencję
Name:		perl-Devel-Refcount
Version:	0.09
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/PEVANS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	53851ba63e3fa793fdfbb15567ad6a72
URL:		http://search.cpan.org/dist/Devel-Refcount/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a single function which obtains the reference
count of the object being pointed to by the passed reference value.

%description -l pl.UTF-8
Moduł ten dostracza pojedynczą funkcję, która odczytuje licznik
odwołań do obiektu wskazanego przez przekazaną referencję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Devel/Refcount.pm
%dir %{perl_vendorarch}/auto/Devel/Refcount
%{perl_vendorarch}/auto/Devel/Refcount/Refcount.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Refcount/Refcount.so
%{_mandir}/man3/Devel::Refcount.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Refcount.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5b31e22
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 8a83f06
- up to 0.09

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 4b19795
- polished pl
- unified Source URL

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6598ee6
- release 2

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> 61f621f
- updated to 0.07

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 94cfecc
- initial

